Bug 192898 - [iOS] uiController.keyDown() does not translate Control modified key
Summary: [iOS] uiController.keyDown() does not translate Control modified key
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Local Build
Hardware: iPhone / iPad iOS 12
: P2 Normal
Assignee: Daniel Bates
URL:
Keywords: InRadar
Depends on:
Blocks: 190571
  Show dependency treegraph
 
Reported: 2018-12-19 16:39 PST by Daniel Bates
Modified: 2019-01-25 14:36 PST (History)
5 users (show)

See Also:


Attachments
Patch (20.98 KB, patch)
2019-01-14 14:30 PST, Daniel Bates
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews125 for ios-simulator-wk2 (2.66 MB, application/zip)
2019-01-14 16:24 PST, Build Bot
no flags Details
Patch and layout tests (22.06 KB, patch)
2019-01-15 10:40 PST, Daniel Bates
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews122 for ios-simulator-wk2 (9.26 MB, application/zip)
2019-01-15 12:26 PST, Build Bot
no flags Details
Patch and layout tests (22.44 KB, patch)
2019-01-24 12:02 PST, Daniel Bates
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Bates 2018-12-19 16:39:50 PST
Key translation occurs with respect to the current keyboard layout when holding the Control key down and pressing a key. We need a way to do something similar so that we can use UIController.keyDown() to emulate Control modified key commands, such as Control + A.

On a related note, we may want to consider exposing a way to specify a particular keyboard layout to use when running a test to ensure consistent results regardless of the current keyboard layout.
Comment 1 Daniel Bates 2019-01-14 14:30:13 PST
Created attachment 359080 [details]
Patch
Comment 2 Build Bot 2019-01-14 16:24:20 PST Comment hidden (obsolete)
Comment 3 Build Bot 2019-01-14 16:24:22 PST Comment hidden (obsolete)
Comment 4 Daniel Bates 2019-01-15 10:40:22 PST
Created attachment 359178 [details]
Patch and layout tests
Comment 5 Build Bot 2019-01-15 12:26:44 PST Comment hidden (obsolete)
Comment 6 Build Bot 2019-01-15 12:26:46 PST Comment hidden (obsolete)
Comment 7 Daniel Bates 2019-01-24 12:02:47 PST
Created attachment 360024 [details]
Patch and layout tests
Comment 8 Wenson Hsieh 2019-01-24 15:07:36 PST
Comment on attachment 360024 [details]
Patch and layout tests

View in context: https://bugs.webkit.org/attachment.cgi?id=360024&action=review

> LayoutTests/fast/forms/auto-fill-button/caps-lock-indicator-should-not-be-visible-when-auto-fill-strong-password-button-is-visible-expected.html:7
> +    /* Hide the tap highlight to mitigate test differences due to when the snapshot

Nice!
Comment 9 Daniel Bates 2019-01-25 14:35:14 PST
Comment on attachment 360024 [details]
Patch and layout tests

Clearing flags on attachment: 360024

Committed r240512: <https://trac.webkit.org/changeset/240512>
Comment 10 Daniel Bates 2019-01-25 14:35:15 PST
All reviewed patches have been landed.  Closing bug.
Comment 11 Radar WebKit Bug Importer 2019-01-25 14:36:33 PST
<rdar://problem/47562134>